database:
  ip: cache_rest
  port: 8000
models:
  material_data:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/materials.ipynb"
    input_files: ["./inputs/roxie.bhdata","./inputs/roxie.cadata"]
    needs: []
  2d_base:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/2d_baseline.ipynb"
    input_files: ["./inputs/dipole_2d.data"]
    needs: ["material_data"]
    
  pymbse_example:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/pymbse_example.ipynb"
    input_files: ["./inputs/dipole_2d.data"]
    needs: ["material_data"]
  pymbse_exec_example:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/pymbse_exec.ipynb"
    input_files: []
    needs: ["pymbse_example"]
  
  3d_base:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/3d_base.ipynb"
    input_files: ["./inputs/dipole_3d.data"]
    needs: ["material_data", "2d_base"]

  3d_connection_side:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/3d_connection_side.ipynb"
    input_files: []
    needs: ["material_data", "3d_base"]

  endspacers:
    model_type: "NOTEBOOK_SCRIPT"
    model_abs_path: "/home/roxieenv/data/roxie_course/pymbse/endspacers.ipynb"
    input_files: []
    needs: ["3d_connection_side", "3d_base"]
